> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/cloud-delivery/monitoring-solutions/blockchain-monitoring/ethereum-wallets.md).

# Ethereum Wallets

## What is this dataset for?&#x20;

This dataset offers in-depth insights into Ethereum wallets including transfers and wallet balances over time.

### File structure details

* File Name: ethereum\_\[date].csv<br>
  * Files are created on a daily basis.
  * example: ethereum\_2023-02-12.csv
* Cut-off time: `00:00:00 UTC`
  * We use the timestamp of the block in order to cut-off the data points between days.
* Column Delimeter: ,(comma)
* Decimal Mark (in numbers): . (dot)

| Field               | Description                                                                                                      | Example                                                              |
| ------------------- | ---------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| `user_address`      | The address on which the row is focused.                                                                         | `0xc8c939539efb7f5ba903fc99b61656979c46c045`                         |
| `chain`             | Always `ethereum`                                                                                                | `ethereum`                                                           |
| `block_number`      | The height of the block.                                                                                         | `7005997`                                                            |
| `timestamp`         | The timestamp of the block.                                                                                      | `1546560004`                                                         |
| `transaction_hash`  | Transaction hash.                                                                                                | `0x5a9e11432e5c7e2fccf598606858619cbd72f1de40db625fc4749ec1b032e144` |
| `transaction_type`  | Event type.                                                                                                      | `gas_buy`                                                            |
| `transaction_index` | The index of the transaction.                                                                                    | `0`                                                                  |
| `ordinal`           | Generated number that gives the order of each balance impact, for one file. Based on call index and log indexes. | `2`                                                                  |
| `sender_address`    | The address that sends tokens or coins.                                                                          | `0xc8c939539efb7f5ba903fc99b61656979c46c045`                         |
| `receiver_address`  | The address that receives tokens or coins.                                                                       | `0x5a0b54d5dc17e0aadc383d2db43b0a0d3e029c4c`                         |
| `initiator_address` | The address that signed the transaction.                                                                         | `0xc8c939539efb7f5ba903fc99b61656979c46c045`                         |
| `token_symbol`      | Symbol of the token or coin transfered                                                                           | `ETH`                                                                |
| `token_address`     | The address of the token or coin transfered.                                                                     | `0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee`                         |
| `direction`         | Inflow or outflow from the user\_address.                                                                        | `out`                                                                |
| `amount`            | Amount of asset transfered.                                                                                      | `0.16`                                                               |
| `balance_after`     | Wallet balance for the user\_address for this asset.                                                             | `0.4814735188`                                                       |
| `amount_usd`        | Amount of asset transferred in usd.                                                                              | `23.863262042004745`                                                 |
| `balance_after_usd` | Wallet balance for the user\_address for this asset in usd.                                                      | `71.80955465881561`                                                  |

**All possible values for the field `transaction_type`:**

| Value                    | Description                                                                                                                                                                                                                                                                                                                                |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `unknown`                | Unknown balance\_change reason, only happens for the chain’s coin.                                                                                                                                                                                                                                                                         |
| `reward_mine_uncle`      | Uncle block rewards are awarded to miners who generate an uncle block that gets included in a valid block added to the chain. These uncle blocks are analogous to stale blocks in Bitcoin. However, rather than being disregarded, uncle blocks receive rewards dependent on their novelty.                                                |
| `reward_mine_block`      | Rewards granted to the miner who mines the current block.                                                                                                                                                                                                                                                                                  |
| `dao_refund_contract`    | This is related to the execution of the DAO hard-fork, an event that occurred as a response to the notorious DAO hack in 2016. This hard-fork moved all the Ether initially stored in The DAO (and its child DAOs) to a refund contract. From this contract, original DAO token holders could claim their proportional share of the funds. |
| `dao_adjust_balance`     | Refers to any adjustment made to an account’s balance in relation to DAO-related hard-fork or operations.                                                                                                                                                                                                                                  |
| `coin_transfer`          | A coin transfer operation.                                                                                                                                                                                                                                                                                                                 |
| `genesis_balance`        | Refers to the balance attributed to addresses during the genesis block.                                                                                                                                                                                                                                                                    |
| `gas_buy`                | The amount of gas purchased by the initiator to execute the transaction.                                                                                                                                                                                                                                                                   |
| `reward_transaction_fee` | Reward earned by the miner for including the transaction in the block.                                                                                                                                                                                                                                                                     |
| `reward_fee_reset`       |                                                                                                                                                                                                                                                                                                                                            |
| `gas_refund`             | The process of refunding gas to the initiator when the state store is cleared.                                                                                                                                                                                                                                                             |
| `touch_account`          | Refers to the process of interacting with an account in some way, such as updating its nonce.                                                                                                                                                                                                                                              |
| `suicide_refund`         | The process of refunding gas to a contract owner when the SELFDESTRUCT operation is called, as it clears the store.                                                                                                                                                                                                                        |
| `suicide_withdraw`       | This action allows the withdrawal of the remaining coin (ex: ETH) in a self-destructed account to a specific address.                                                                                                                                                                                                                      |
| `call_balance_override`  | This operation overrides the default balance of an account.                                                                                                                                                                                                                                                                                |
| `burn`                   | Burning coins in chains where this process occurs.                                                                                                                                                                                                                                                                                         |
| `withdrawal`             | Allows the withdrawal of rewards or stake for validators.                                                                                                                                                                                                                                                                                  |
| `token_transfer`         | This operation involves the transfer of (ERC20) tokens.                                                                                                                                                                                                                                                                                    |
| `wrap_coin`              | This operation mints WETH tokens after a coin (ex: ETH) deposit.                                                                                                                                                                                                                                                                           |
| `unwrap_coin`            | This operation burns WETH tokens before a coin (ex: ETH) withdrawal.                                                                                                                                                                                                                                                                       |
| `token_deposit`          | This operation allows the deposit of (ERC20) tokens into staking contracts or escrow.                                                                                                                                                                                                                                                      |
| `token_withdrawal`       | This operation allows the withdrawal of (ERC20) tokens from the staking contracts or escrow.                                                                                                                                                                                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/cloud-delivery/monitoring-solutions/blockchain-monitoring/ethereum-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
